
Figure - Bug #112905
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开应用小窗，进入多任务管理器，任务管理器中无小窗应用的后台进程
2022-10-25 14:46 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-25

Priority: Normal Due date: 2022-11-04

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221025.alpha_0039

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

Reproducibility: Every time Fixed Version: 2022-11-08

Test Type: IT Root cause: 重新修改recenttask 显示逻辑

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、进入应用小窗模式（如图库），保持该状态

2、通过上划手势进入多人任务管理器

【预期结果】

2、后台有且仅有一个小窗进程卡片

【实际结果】

3、后台为空，无进程

退出多任务管理器，小窗窗口仍然存在

Related issues:

Related to Figure - Bug # 112751: 【AF】【EVT】【任务管理器】打开应用小窗，... CLOSED 2022-10-20 2022-10-24

History

#1 - 2022-10-25 15:16 - CD TEST-方永红

- Category changed from CD-FW to CD-APP

#2 - 2022-10-25 16:52 - CD APP-李德盛

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

- Degrated changed from -- to No

#3 - 2022-10-26 12:46 - CD APP-李德盛

■ Current conclusion

小窗逻辑修改，Launcher需适配

■ My analysis

调用小窗提供的接口，对小窗进行访问和控制

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/157984
#4 - 2022-10-26 14:51 - CD APP-李德盛

- Assignee changed from CD APP-李德盛 to CD APP-王营

- % Done changed from 0 to 30

#5 - 2022-10-26 14:56 - CD APP-李德盛

修改后仍有以下问题

1.从非Launcher界面进recent还是没有小窗，因为getCurrentDisplayedFreeFormTask返回的task为null

2.划掉小窗任务，退出recent，小窗会再次打开

#6 - 2022-10-26 15:15 - CD APP-王营

- Assignee changed from CD APP-王营 to DL FW-王琳

#7 - 2022-10-27 15:08 - CDTS-TEST 周婷

- Due date set to 2022-11-04

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#8 - 2022-10-31 11:54 - DL FW-王琳

- Assignee changed from DL FW-王琳 to DL FW-张挽强

#9 - 2022-11-01 14:55 - CD TPM-王祥林

- Category changed from CD-APP to 窗口定制

#10 - 2022-11-02 14:27 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V3.0_update_20221130

需重新梳理方案，11/30 fix

#11 - 2022-11-09 14:20 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-11-08

- Root cause set to 重新修改recenttask 显示逻辑

#12 - 2022-11-14 10:58 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

11.14

目前bug描述内容与实际情况有较大差异

决定先关闭该问题，另起票跟踪

#13 - 2022-11-14 10:58 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
#14 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157984 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Fix no free window card in recent1. Use the interface provided by the free window to obtain the free window task information.TC-RID:

1201-0205302IssueID: TS-R-BUG-112905Change-Id: I564b9cf63e820cff33fe9a75744c2b8a0b1997bb

Files

Phone-STS40X190122 2022-10-25 14-04-59.mp4 9.06 MB 2022-10-25 CD TEST-方永红

1444.txt 3.52 MB 2022-10-25 CD TEST-方永红
